import { ComponentRender } from '@zeedhi/common';
import { IHighlight } from './interfaces';
export declare class Highlight extends ComponentRender implements IHighlight {
    /**
     * Max height in pixels. 'none' means no limit.
     */
    maxHeight: string;
    language: string;
    readonly: boolean;
    lineNumbers: boolean;
    autoStyleLineNumbers: boolean;
    tabSize: number | string;
    insertSpaces: boolean;
    code: string;
    loadExtraLanguages?: string | Function;
    ignoreTabKey: boolean;
    constructor(props: IHighlight);
    /**
     * Get the code highlighted
     */
    getHighlightedCode(): any;
}
