import { ComponentRender } from "@zeedhi/common";
import { IHighlighting } from "./interfaces";
export declare class Highlighting extends ComponentRender implements IHighlighting {
    code: string;
    language: string;
    readonly: boolean;
    lineNumbers: boolean;
    autoStyleLineNumbers: boolean;
    tabSize: number | string;
    insertSpaces: boolean;
    ignoreTabKey: boolean;
    constructor(props: IHighlighting);
    /**
     * Get the code highlighted
     */
    getHighlightedCode(): string;
}
